# frozen_string_literal: true

require 'forecast_io'
require 'geocoder'
require 'pry'


# export

class WeatherByDcq::Request
  attr_accessor :location

  def initialize(location)
    @location = location
  end

  # Convert user entered location to geodetic coordinates
  def self.coordinate_pts(location)
    city = Geocoder.search(location)
    if city[0].nil?
      puts "Not Found"
      return WeatherByDcq::View.new.menu
    else
      @lat = city[0].latitude
      @lon = city[0].longitude
    end
  end

  # fetch forecast hash from Dark Sky API
  def self.fetch(location)
    coordinate_pts(location)
    ForecastIO.configure do |c|
      c.api_key = '4aac124157c348289553a5e7fdc1899d'
      c.default_params = { time: 600, exclude: 'minutely, hourly' }
    end
    @forecast = ForecastIO.forecast(@lat, @lon)
  end
end
